PATCH /customers/{customerId}/bankaccounts/{accountNumber}

Update a specific bank account by account number for a customer.

Headers

  • Authorization string Required

    Authorization header

Path parameters

  • customerId string Required

    The unique identifier of the customer

  • accountNumber string Required

    The account number of the bank account

application/json

Body Required

  • number string Required

    Bank account number (uppercase letters, numbers, or dash only)

    Maximum length is 50. Format should match the following pattern: ^[A-Z0-9-]+$.

  • type string Required

    Type of bank account

    Values are bban, iban, bankgiro, or plusgiro.

  • isDefault boolean Required

    Whether this is the default bank account

  • name string

    Optional name for the bank account

    Maximum length is 50.

  • countryCode string

    ISO country code

    Maximum length is 2.

  • address string

    Bank address

    Maximum length is 490.

  • bsc string

    Bank Sort Code

    Maximum length is 50. Format should match the following pattern: ^[A-Z]{5}[A-Z0-9]{1,12}$|^$.

  • bic string

    Bank Identifier Code (SWIFT code)

    Maximum length is 20. Format should match the following pattern: ^[A-Z]{6}[A-Z0-9]{2,5}$|^$.

Responses

  • 200 application/json

    OK

    Hide headers attributes Show headers attributes
    • Access-Control-Allow-Origin string
    • Access-Control-Allow-Credentials string
    • X-Trace-Id string
    Hide response attributes Show response attributes object
    • number string Required

      Bank account number (uppercase letters, numbers, or dash only)

      Maximum length is 50. Format should match the following pattern: ^[A-Z0-9-]+$.

    • type string Required

      Type of bank account

      Values are bban, iban, bankgiro, or plusgiro.

    • isDefault boolean Required

      Whether this is the default bank account

    • name string

      Optional name for the bank account

      Maximum length is 50.

    • countryCode string

      ISO country code

      Maximum length is 2.

    • address string

      Bank address

      Maximum length is 490.

    • bsc string

      Bank Sort Code

      Maximum length is 50. Format should match the following pattern: ^[A-Z]{5}[A-Z0-9]{1,12}$|^$.

    • bic string

      Bank Identifier Code (SWIFT code)

      Maximum length is 20. Format should match the following pattern: ^[A-Z]{6}[A-Z0-9]{2,5}$|^$.

  • 400

    Bad Request. Invalid input data.

    Hide headers attributes Show headers attributes
    • Access-Control-Allow-Origin string
    • Access-Control-Allow-Credentials string
    • X-Trace-Id string
  • 401

    Unauthorized. Missing or invalid bearer token.

    Hide headers attributes Show headers attributes
    • Access-Control-Allow-Origin string
    • Access-Control-Allow-Credentials string
    • X-Trace-Id string
  • 404

    Bank account not found.

    Hide headers attributes Show headers attributes
    • Access-Control-Allow-Origin string
    • Access-Control-Allow-Credentials string
    • X-Trace-Id string
PATCH /customers/{customerId}/bankaccounts/{accountNumber}
curl \
 --request PATCH 'https://rest.api.24sevenoffice.com/v1/customers/{customerId}/bankaccounts/{accountNumber}' \
 --header "Content-Type: application/json" \
 --header "Authorization: string" \
 --data '{"number":"string","type":"bban","isDefault":true,"name":"string","countryCode":"string","address":"string","bsc":"string","bic":"string"}'
Request examples
# Headers
Authorization: string

# Payload
{
  "number": "string",
  "type": "bban",
  "isDefault": true,
  "name": "string",
  "countryCode": "string",
  "address": "string",
  "bsc": "string",
  "bic": "string"
}
Response examples (200)
# Headers
Access-Control-Allow-Origin: string
Access-Control-Allow-Credentials: string
X-Trace-Id: string

# Payload
{
  "number": "string",
  "type": "bban",
  "isDefault": true,
  "name": "string",
  "countryCode": "string",
  "address": "string",
  "bsc": "string",
  "bic": "string"
}